<div class="details">
    <span class="hdr">
        <h5>{{details.from}}</h5>
        <button routerLink="/">Go To Homepage</button>
    </span>
    <div class="tb-cont" *ngIf="details?.amount">
        <div class="tble" *ngIf="rates&&rates.length">
            <table>
                <tr>
                    <th>From</th>
                    <th>To</th>
                </tr>
                <tr *ngFor="let item of rates">
                    <td>{{details?.amount}} {{getCurrencyCode(0)}}</td>
                    <td>{{item[1]*details?.amount | number:'1.2-2'}} {{item[0]}}</td>
                </tr>
            </table>
        </div>
        <div class="tble" *ngIf="rates&&rates.length">
            <table>
                <tr>
                    <th>From</th>
                    <th>To</th>
                </tr>
                <tr *ngFor="let item of rates">
                    <td>{{details?.amount}} {{item}}</td>
                    <td>{{(1/item[1])*details?.amount | number:'1.2-2'}} {{getCurrencyCode(0)}}</td>
                </tr>
            </table>
        </div>
    </div>
    <h5  *ngIf="(thirdLastDayRates&&thirdLastDayRates.length)||(secondLastDayRates&&secondLastDayRates.length)||(lastDayRates&&lastDayRates.length)">Historical Data</h5>
    <div class="tb-cont" *ngIf="(thirdLastDayRates&&thirdLastDayRates.length)||(secondLastDayRates&&secondLastDayRates.length)||(lastDayRates&&lastDayRates.length)">
        <div class="tble">
            <small>Base: {{getCurrencyCode(0)}}</small>
            <table>
                <tr>
                    <th>Currency</th>
                    <th>Rate (Last Day)</th>
                    <th>Rate (2nd Last Day)</th>
                    <th>Rate (3rd Last Day)</th>
                </tr>
                <tr *ngFor="let item of lastDayRates; let i=index">
                    <td>{{item[0]}}</td>
                    <td>{{item[1] | number:'1.2-3'}}</td>
                    <td>{{secondLastDayRates[i][1] | number:'1.2-3'}}</td>
                    <td>{{thirdLastDayRates[i][1] | number:'1.2-3'}}</td>
                </tr>
            </table>
        </div>
    </div>
</div>
